# gdcm::FileDerivation Class Reference

FileDerivation class See PS 3.16 - 2008 For the list of Code Value that can be used for in Derivation Code Sequence. More...

`#include <gdcmFileDerivation.h>`

Collaboration diagram for gdcm::FileDerivation:
[legend]

List of all members.

## Public Member Functions
| FileDerivation ()
| ~FileDerivation ()
bool | AddReference (const char *referencedsopclassuid, const char *referencedsopinstanceuid)
bool | Derive ()
| Change.
const File & | GetFile () const
File & | GetFile ()
void | SetDerivationCodeSequenceCodeValue (unsigned int codevalue)
void | SetDerivationDescription (const char *dd)
void | SetFile (const File &f)
| Set/Get File.
void | SetPurposeOfReferenceCodeSequenceCodeValue (unsigned int codevalue)
## Protected Member Functions
bool | AddDerivationDescription ()
bool | AddPurposeOfReferenceCodeSequence (DataSet &ds)
bool | AddSourceImageSequence ()

## Detailed Description

FileDerivation class See PS 3.16 - 2008 For the list of Code Value that can be used for in Derivation Code Sequence.

URL: medical.nema.org/medical/dicom/2008/08_16pu.pdf DICOM Part 16 has two Context Groups CID 7202 and CID 7203 which contain a set of codes defining reason for a source image reference (ie. reason code for referenced image sequence) and a coded description of the deriation applied to the new image data from the original. Both these context groups are extensible.

Examples:

  GenFakeImage.cxx.

## Constructor & Destructor Documentation

gdcm::FileDerivation::FileDerivation | ( |  | ) |

gdcm::FileDerivation::~FileDerivation | ( |  | ) |

## Member Function Documentation

bool gdcm::FileDerivation::AddDerivationDescription | ( |  | ) | `[protected]`

bool gdcm::FileDerivation::AddPurposeOfReferenceCodeSequence | ( | DataSet & | ds | ) | `[protected]`

bool gdcm::FileDerivation::AddReference | ( | const char * | referencedsopclassuid,
|  | const char * | referencedsopinstanceuid |
| ) |  |  |

Examples:
  GenFakeImage.cxx.

bool gdcm::FileDerivation::AddSourceImageSequence | ( |  | ) | `[protected]`

bool gdcm::FileDerivation::Derive | ( |  | ) |

Change.

Examples:
  GenFakeImage.cxx.

const File& gdcm::FileDerivation::GetFile | ( |  | ) | const`[inline]`

File& gdcm::FileDerivation::GetFile | ( |  | ) | `[inline]`

Examples:
  GenFakeImage.cxx.

void gdcm::FileDerivation::SetDerivationCodeSequenceCodeValue | ( | unsigned int | codevalue | ) |

Examples:
  GenFakeImage.cxx.

void gdcm::FileDerivation::SetDerivationDescription | ( | const char * | dd | ) |

void gdcm::FileDerivation::SetFile | ( | const File & | f | ) | `[inline]`

Set/Get File.

Examples:
  GenFakeImage.cxx.

void gdcm::FileDerivation::SetPurposeOfReferenceCodeSequenceCodeValue | ( | unsigned int | codevalue | ) |

Examples:
  GenFakeImage.cxx.

The documentation for this class was generated from the following file:

- gdcmFileDerivation.h